本文分别介绍Elasticsearch、Logstash、Beats等官方产品各版本之间的兼容性。

Elasticsearch产品兼容性(5.x及以上版本)

Elasticsearch Kibana X-Pack Beats^* Logstash^* ES-Hadoop(jar)* APM Server App Search
5.0.x 5.0.x 5.0.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.1.x 5.1.x 5.1.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.2.x 5.2.x 5.2.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.3.x 5.3.x 5.3.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.4.x 5.4.x 5.4.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.5.x 5.5.x 5.5.x 1.3.x-5.6.x 2.4.x-5.6.x 5.0.x-5.6.x N/A N/A
5.6.x 5.6.x 5.6.x 1.3.x-6.0.x 2.4.x-6.0.x 5.0.x-6.0.x N/A N/A
6.0.x 6.0.x 6.0.x 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x N/A N/A
6.1.x 6.1.x 6.1.x 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x N/A N/A
6.2.x 6.2.x 6.2.x 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.3.x 6.3.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.4.x 6.4.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.5.x 6.5.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.6.x 6.6.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.7.x 6.7.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
6.8.x 6.8.x N/A** 5.6.x-6.8.x 5.6.x-6.8.x 6.0.x-6.8.x 6.2.x-6.8.x N/A
7.0.x 7.0.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x N/A
7.1.x 7.1.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x N/A
7.2.x 7.2.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x 7.2.x
7.3.x 7.3.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x 7.3.x
7.4.x 7.4.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x 7.4.x
7.5.x 7.5.x N/A** 6.8.x-7.5.x 6.8.x-7.5.x 6.8.x-7.5.x 7.0.x-7.5.x 7.5.x

建议您使用相同小版本的Elasticsearch、Kibana、Filebeat和Logstash集群。

说明
  • ^:Elasticsearch作为output插件的兼容性(Beats或Logstash同步索引数据到Elasticsearch)。
  • *:建议您运行最新版本的Beats、Logstash以及ES-Hadoop,早期版本的功能比较少。
  • **:从6.3版本开始,X-Pack功能已包含在Elastic Stack的默认发行版中,详情请参见官方文档

Logstash兼容性

Logstash Beats** Monitoring & Management Elasticsearch Cluster*
2.4.x 1.0.x-5.6.x N/A
5.0.x 1.3.x-5.6.x N/A
5.1.x 5.0.x-5.6.x N/A
5.2.x 5.0.x-5.6.x 5.2.x-5.6.x
5.3.x 5.0.x-5.6.x 5.3.x-5.6.x
5.4.x 5.0.x-5.6.x 5.4.x-5.6.x
5.5.x 5.0.x-5.6.x 5.5.x-5.6.x
5.6.x 5.6.x-6.8.x 5.6.x-6.0.x
6.0.x 5.6.x-6.8.x 6.0.x-6.8.x
6.1.x 5.6.x-6.8.x 6.1.x-6.8.x
6.2.x 5.6.x-6.8.x 6.2.x-6.8.x
6.3.x 5.6.x-6.8.x 6.3.x-6.8.x
6.4.x 5.6.x-6.8.x 6.4.x-6.8.x
6.5.x 5.6.x-6.8.x 6.5.x-6.8.x
6.6.x 5.6.x-6.8.x 6.6.x-6.8.x
6.7.x 5.6.x-6.8.x 6.7.x-6.8.x
6.8.x 5.6.x-6.8.x 6.8.x
7.0.x 6.8.x-7.5.x 7.0.x - 7.5.x
7.1.x 6.8.x-7.5.x 7.1.x-7.5.x
7.2.x 6.8.x-7.5.x 7.2.x-7.5.x
7.3.x 6.8.x-7.5.x 7.3.x-7.5.x
7.4.x 6.8.x-7.5.x 7.4.x - 7.5.x
7.5.x 6.8.x-7.5.x 7.5.x
说明
  • *:此兼容性适用于监控和管理Elasticsearch集群,以及包含xpack.monitoring.elasticsearch.urlxpack.management.elasticsearch.url指定的任意集群。强烈建议您使用相同小版本的Elasticsearch、Kibana和Logstash集群,以获得最佳的监控和管理性能;对于6.2及之前的旧版本集群,X-Pack必须安装在所有产品中。
  • **:7.4版本之前,Functionbeat仅支持Elasticsearch作为output,不支持Logstash或其他output;7.4以及之后版本,Functionbeat支持Logstash和Elasticsearch作为output。

Beat兼容性

Beats** Logstash Monitoring Elasticsearch Cluster*
1.3.x 2.0.x-5.0.x N/A
5.0.x 2.0.x-5.6.x N/A
5.1.x 2.0.x-5.6.x N/A
5.2.x 2.0.x-5.6.x N/A
5.3.x 2.0.x-5.6.x N/A
5.4.x 2.0.x-5.6.x N/A
5.5.x 2.0.x-5.6.x N/A
5.6.x 5.6.x-6.8.x N/A
6.0.x 5.6.x-6.8.x N/A
6.1.x 5.6.x-6.8.x N/A
6.2.x 5.6.x-6.8.x 6.2.x
6.3.x 5.6.x-6.8.x 6.3.x-6.8.x
6.4.x 5.6.x-6.8.x 6.4.x-6.8.x
6.5.x 5.6.x-6.8.x 6.5.x-6.8.x
6.6.x 5.6.x-6.8.x 6.6.x-6.8.x
6.7.x 5.6.x-6.8.x 6.7.x-6.8.x
6.8.x 5.6.x-6.8.x 6.8.x
7.0.x 6.8.x-7.5.x 7.0.x-7.5.x
7.1.x 6.8.x-7.5.x 7.1.x-7.5.x
7.2.x 6.8.x-7.5.x 7.2.x-7.5.x
7.3.x 6.8.x-7.5.x 7.3.x-7.5.x
7.4.x 6.8.x-7.5.x 7.4.x - 7.5.x
7.5.x 6.8.x-7.5.x 7.5.x
说明
  • *:此兼容性适用于监控Elasticsearch集群,以及包含xpack.monitoring.elasticsearch设置中指定的任意集群。强烈建议您使用相同小版本的Elasticsearch、Kibana和Beats集群,以获得最佳的监控性能;对于6.2及之前的旧版本集群,X-Pack必须安装在所有产品中。
  • **:Functionbeat仅支持Elasticsearch作为output,不支持Logstash或其他output。

更多兼容性说明请参见官方文档